Delete a transcript
Documentation Index
Fetch the complete documentation index at: https://assemblyai.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
ID of the transcript
Response
The deleted transcript response
A transcript object
The URL of the media that was transcribed
Whether Key Phrases is enabled, either true or false
The unique identifier of your transcript
The confidence score for the detected language, between 0.0 (low confidence) and 1.0 (high confidence). See Automatic Language Detection for more details.
0 <= x <= 1The confidence threshold for the automatically detected language. An error will be returned if the language confidence is below this threshold. See Automatic Language Detection for more details.
0 <= x <= 1Whether PII Redaction is enabled, either true or false
The status of your transcript. Possible values are queued, processing, completed, or error.
queued, processing, completed, error Whether Summarization is enabled, either true or false. Deprecated - use LLM Gateway instead for more flexible summaries. See the updated Summarization page for details.
Note: This parameter is only supported for the Universal-2 model.
This parameter does not currently have any functionality attached to it.
This parameter does not currently have any functionality attached to it.
The number of audio channels in the audio file. This is only present when multichannel is enabled.
The duration of this transcript object's media file, in seconds
The point in time, in milliseconds, in the file at which the transcription was terminated. See Set the start and end of the transcript for more details.
The point in time, in milliseconds, in the file at which the transcription was started. See Set the start and end of the transcript for more details.
Whether Auto Chapters is enabled, can be true or false. Deprecated - use LLM Gateway instead for more flexible chapter summaries. See the updated Auto Chapters page for details.
Note: This parameter is only supported for the Universal-2 model.
An array of results for the Key Phrases model, if it is enabled. See Key Phrases for more information.
{
"status": "success",
"results": [
{
"count": 1,
"rank": 0.08,
"text": "air quality alerts",
"timestamps": [{ "start": 3978, "end": 5114 }]
},
{
"count": 1,
"rank": 0.08,
"text": "wide ranging air quality consequences",
"timestamps": [{ "start": 235388, "end": 238694 }]
},
{
"count": 1,
"rank": 0.07,
"text": "more wildfires",
"timestamps": [{ "start": 230972, "end": 232354 }]
},
{
"count": 1,
"rank": 0.07,
"text": "air pollution",
"timestamps": [{ "start": 156004, "end": 156910 }]
},
{
"count": 3,
"rank": 0.07,
"text": "weather systems",
"timestamps": [
{ "start": 47344, "end": 47958 },
{ "start": 205268, "end": 205818 },
{ "start": 211588, "end": 213434 }
]
},
{
"count": 2,
"rank": 0.06,
"text": "high levels",
"timestamps": [
{ "start": 121128, "end": 121646 },
{ "start": 155412, "end": 155866 }
]
},
{
"count": 1,
"rank": 0.06,
"text": "health conditions",
"timestamps": [{ "start": 152138, "end": 152666 }]
},
{
"count": 2,
"rank": 0.06,
"text": "Peter de Carlo",
"timestamps": [
{ "start": 18948, "end": 19930 },
{ "start": 268298, "end": 269194 }
]
},
{
"count": 1,
"rank": 0.06,
"text": "New York City",
"timestamps": [{ "start": 125768, "end": 126274 }]
},
{
"count": 1,
"rank": 0.05,
"text": "respiratory conditions",
"timestamps": [{ "start": 152964, "end": 153786 }]
},
{
"count": 3,
"rank": 0.05,
"text": "New York",
"timestamps": [
{ "start": 125768, "end": 126034 },
{ "start": 171448, "end": 171938 },
{ "start": 176008, "end": 176322 }
]
},
{
"count": 3,
"rank": 0.05,
"text": "climate change",
"timestamps": [
{ "start": 229548, "end": 230230 },
{ "start": 244576, "end": 245162 },
{ "start": 263348, "end": 263950 }
]
},
{
"count": 1,
"rank": 0.05,
"text": "Johns Hopkins University Varsity",
"timestamps": [{ "start": 23972, "end": 25490 }]
},
{
"count": 1,
"rank": 0.05,
"text": "heart conditions",
"timestamps": [{ "start": 153988, "end": 154506 }]
},
{
"count": 1,
"rank": 0.05,
"text": "air quality warnings",
"timestamps": [{ "start": 12308, "end": 13434 }]
}
]
}An array of temporally sequential chapters for the audio file. See Auto Chapters for more information.
The confidence score for the transcript, between 0.0 (low confidence) and 1.0 (high confidence)
0 <= x <= 1Whether Content Moderation is enabled, can be true or false
An array of results for the Content Moderation model, if it is enabled. See Content moderation for more information.
{
"status": "success",
"results": [
{
"text": "Smoke from hundreds of wildfires in Canada is triggering air quality alerts throughout the US. Skylines from Maine to Maryland to Minnesota are gray and smoggy. And in some places, the air quality warnings include the warning to stay inside. We wanted to better understand what's happening here and why, so we called Peter de Carlo, an associate professor in the Department of Environmental Health and Engineering at Johns Hopkins University Varsity. Good morning, professor. Good morning.",
"labels": [
{
"label": "disasters",
"confidence": 0.8142836093902588,
"severity": 0.4093044400215149
}
],
"sentences_idx_start": 0,
"sentences_idx_end": 5,
"timestamp": { "start": 250, "end": 28840 }
}
],
"summary": {
"disasters": 0.9940800441842205,
"health_issues": 0.9216489289040967
},
"severity_score_summary": {
"disasters": {
"low": 0.5733263024656846,
"medium": 0.42667369753431533,
"high": 0
},
"health_issues": {
"low": 0.22863814977924785,
"medium": 0.45014154926938227,
"high": 0.32122030095136983
}
}
}Customize how words are spelled and formatted using to and from values. See Custom Spelling for more details.
Transcribe Filler Words, like "umm", in your media file; can be true or false. Supported on Universal-3 Pro and Universal-2.
The domain-specific model applied to the transcript. When set to "medical-v1", Medical Mode was used to improve accuracy for medical terminology.
An array of results for the Entity Detection model, if it is enabled. See Entity detection for more information.
Whether Entity Detection is enabled, can be true or false
Error message of why the transcript failed
Whether Profanity Filtering is enabled, either true or false
Whether Text Formatting is enabled, either true or false
Whether Topic Detection is enabled, can be true or false
The result of the Topic Detection model, if it is enabled. See Topic Detection for more information.
{
"status": "success",
"results": [
{
"text": "Smoke from hundreds of wildfires in Canada is triggering air quality alerts throughout the US. Skylines from Maine to Maryland to Minnesota are gray and smoggy. And in some places, the air quality warnings include the warning to stay inside. We wanted to better understand what's happening here and why, so we called Peter de Carlo, an associate professor in the Department of Environmental Health and Engineering at Johns Hopkins University Varsity. Good morning, professor. Good morning.",
"labels": [
{
"relevance": 0.988274097442627,
"label": "Home&Garden>IndoorEnvironmentalQuality"
},
{
"relevance": 0.5821335911750793,
"label": "NewsAndPolitics>Weather"
},
{
"relevance": 0.0042327106930315495,
"label": "MedicalHealth>DiseasesAndConditions>LungAndRespiratoryHealth"
},
{
"relevance": 0.0033971222583204508,
"label": "NewsAndPolitics>Disasters"
},
{
"relevance": 0.002469958271831274,
"label": "BusinessAndFinance>Business>GreenSolutions"
},
{
"relevance": 0.0014376690378412604,
"label": "MedicalHealth>DiseasesAndConditions>Cancer"
},
{
"relevance": 0.0014294233405962586,
"label": "Science>Environment"
},
{
"relevance": 0.001234519761055708,
"label": "Travel>TravelLocations>PolarTravel"
},
{
"relevance": 0.0010231725173071027,
"label": "MedicalHealth>DiseasesAndConditions>ColdAndFlu"
},
{
"relevance": 0.0007445293595083058,
"label": "BusinessAndFinance>Industries>PowerAndEnergyIndustry"
}
],
"timestamp": { "start": 250, "end": 28840 }
}
],
"summary": {
"NewsAndPolitics>Weather": 1,
"Home&Garden>IndoorEnvironmentalQuality": 0.9043831825256348,
"Science>Environment": 0.16117265820503235,
"BusinessAndFinance>Industries>EnvironmentalServicesIndustry": 0.14393523335456848,
"MedicalHealth>DiseasesAndConditions>LungAndRespiratoryHealth": 0.11401086300611496,
"BusinessAndFinance>Business>GreenSolutions": 0.06348437070846558,
"NewsAndPolitics>Disasters": 0.05041387677192688,
"Travel>TravelLocations>PolarTravel": 0.01308488193899393,
"HealthyLiving": 0.008222488686442375,
"MedicalHealth>DiseasesAndConditions>ColdAndFlu": 0.0022315620444715023,
"MedicalHealth>DiseasesAndConditions>HeartAndCardiovascularDiseases": 0.00213034451007843,
"HealthyLiving>Wellness>SmokingCessation": 0.001540527562610805,
"MedicalHealth>DiseasesAndConditions>Injuries": 0.0013950627762824297,
"BusinessAndFinance>Industries>PowerAndEnergyIndustry": 0.0012570273829624057,
"MedicalHealth>DiseasesAndConditions>Cancer": 0.001097781932912767,
"MedicalHealth>DiseasesAndConditions>Allergies": 0.0010148967849090695,
"MedicalHealth>DiseasesAndConditions>MentalHealth": 0.000717321818228811,
"Style&Fashion>PersonalCare>DeodorantAndAntiperspirant": 0.0006022014422342181,
"Technology&Computing>Computing>ComputerNetworking": 0.0005461975233629346,
"MedicalHealth>DiseasesAndConditions>Injuries>FirstAid": 0.0004885646631009877
}
}Improve accuracy with up to 200 (for Universal-2) or 1000 (for Universal-3 Pro) domain-specific words or phrases (maximum 6 words per phrase). See Keyterms Prompting for more details.
The language of your audio file. Possible values are found in Supported Languages. The default value is 'en_us'.
en, en_au, en_uk, en_us, es, fr, de, it, pt, nl, af, sq, am, ar, hy, as, az, ba, eu, be, bn, bs, br, bg, my, ca, zh, hr, cs, da, et, fo, fi, gl, ka, el, gu, ht, ha, haw, he, hi, hu, is, id, ja, jw, kn, kk, km, ko, lo, la, lv, ln, lt, lb, mk, mg, ms, ml, mt, mi, mr, mn, ne, no, nn, oc, pa, ps, fa, pl, ro, ru, sa, sr, sn, sd, si, sk, sl, so, su, sw, sv, tl, tg, ta, tt, te, th, bo, tr, tk, uk, ur, uz, vi, cy, yi, yo The language codes of your audio file. Used for Code switching
One of the values specified must be en.
The language of your audio file. Possible values are found in Supported Languages. The default value is 'en_us'.
en, en_au, en_uk, en_us, es, fr, de, it, pt, nl, af, sq, am, ar, hy, as, az, ba, eu, be, bn, bs, br, bg, my, ca, zh, hr, cs, da, et, fo, fi, gl, ka, el, gu, ht, ha, haw, he, hi, hu, is, id, ja, jw, kn, kk, km, ko, lo, la, lv, ln, lt, lb, mk, mg, ms, ml, mt, mi, mr, mn, ne, no, nn, oc, pa, ps, fa, pl, ro, ru, sa, sr, sn, sd, si, sk, sl, so, su, sw, sv, tl, tg, ta, tt, te, th, bo, tr, tk, uk, ur, uz, vi, cy, yi, yo Whether Automatic language detection is enabled, either true or false
Specify options for Automatic Language Detection.
Whether Multichannel transcription was enabled in the transcription request, either true or false
Provide natural language prompting of up to 1,500 words of contextual information to the model. See the Prompting Guide for best practices.
Note: This parameter is only supported for the Universal-3 Pro model.
Whether Automatic Punctuation is enabled, either true or false
Whether a redacted version of the audio file was generated, either true or false. See PII redaction for more information.
The options for PII-redacted audio, if redact_pii_audio is enabled. See PII redaction for more information.
The audio quality of the PII-redacted audio file, if redact_pii_audio is enabled. See PII redaction for more information.
mp3, wav "mp3"
The list of PII Redaction policies that were enabled, if PII Redaction is enabled. See PII redaction for more information.
The type of PII to redact
account_number, banking_information, blood_type, credit_card_cvv, credit_card_expiration, credit_card_number, date, date_interval, date_of_birth, drivers_license, drug, duration, email_address, event, filename, gender, gender_sexuality, healthcare_number, injury, ip_address, language, location, location_address, location_address_street, location_city, location_coordinate, location_country, location_state, location_zip, marital_status, medical_condition, medical_process, money_amount, nationality, number_sequence, occupation, organization, organization_medical_facility, passport_number, password, person_age, person_name, phone_number, physical_attribute, political_affiliation, religion, sexuality, statistics, time, url, us_social_security_number, username, vehicle_id, zodiac_sign The replacement logic for detected PII, can be entity_type or hash. See PII redaction for more details.
entity_name, hash Whether the original unredacted transcript was also returned alongside the redacted one. When true, the response includes unredacted_text, unredacted_words, and unredacted_utterances. See PII redaction for more information.
Whether Sentiment Analysis is enabled, can be true or false
An array of results for the Sentiment Analysis model, if it is enabled. See Sentiment Analysis for more information.
Whether Speaker diarization is enabled, can be true or false
Tell the speaker label model how many speakers it should attempt to identify. See Set number of speakers expected for more details.
The speech model that was actually used for the transcription. See Model Selection for available models.
List of speech models that were used (in priority order) to transcribe the audio. If not specified in the request, this defaults to ["universal-3-pro", "universal-2"]. See Model Selection for available models and routing behavior.
The speech model to use for the transcription. See Model Selection for available models.
Defaults to null. Reject audio files that contain less than this fraction of speech. Valid values are in the range [0, 1] inclusive. See Speech Threshold for more details.
0 <= x <= 1Speech understanding tasks like Translation, Speaker Identification, and Custom Formatting. See the task-specific docs for available options and configuration.
The generated summary of the media file, if Summarization is enabled. Deprecated - use LLM Gateway instead for more flexible summaries. See the updated Summarization page for details.
The Summarization model used to generate the summary, if Summarization is enabled. Deprecated - use LLM Gateway instead for more flexible summaries. See the updated Summarization page for details.
The type of summary generated, if Summarization is enabled. Deprecated - use LLM Gateway instead for more flexible summaries. See the updated Summarization page for details.
Universal-3 Pro generates rich transcripts that can include inline annotations such as audio event markers and speaker cues. Set to "all" to remove all inline annotations, or "speaker" to remove only speaker cues while keeping other annotations.
Note: This parameter is only supported for the Universal-3 Pro model.
all, speaker The temperature that was used for the model's response. See the Prompting Guide for more details.
Note: This parameter can only be used with the Universal-3 Pro model.
0 <= x <= 1The textual transcript of your media file
The original textual transcript of your media file before PII redaction was applied. Only returned when redact_pii_return_unredacted was set to true on the transcription request, otherwise this field is omitted and the text field remains fully redacted. See PII redaction for more information.
True while a request is throttled and false when a request is no longer throttled
When multichannel or speaker_labels is enabled, a list of turn-by-turn utterance objects. See Speaker diarization and Multichannel transcription for more information.
The original turn-by-turn utterance objects before PII redaction was applied. Same shape as utterances. Only returned when redact_pii_return_unredacted was set to true on the transcription request, otherwise this field is omitted and the utterances field remains fully redacted. See PII redaction for more information.
An array of temporally-sequential word objects, one for each word in the transcript.
The original temporally-sequential word objects before PII redaction was applied. Same shape as words. Only returned when redact_pii_return_unredacted was set to true on the transcription request, otherwise this field is omitted and the words field remains fully redacted. See PII redaction for more information.
This parameter does not currently have any functionality attached to it.
This parameter does not currently have any functionality attached to it.
This parameter does not currently have any functionality attached to it.
Translated text keyed by language code. See Translation for more details.